Subject: Re: bug#47863: [PATCH] gnu: xfce4-settings: Add gsettings-desktop-schemas.
From: Ludovic Courtès <[email-masked]>
To: Brendan Tildesley <[email-masked]>
Cc: [email-masked]
Date: Fri, 30 Apr 2021 18:20:31 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Brendan Tildesley <[email-masked]> skribis:

>> On 04/29/2021 1:23 AM Ludovic Courtès <[email-masked]> wrote:

[...]

>> The patch LGTM but I can’t seem to reproduce the issue here.  Namely, if
>> I go to Settings → Appearance and switch from “GNOME Theme” to
>> “Adwaita”, it just works.
>> 
>> Am I missing something?
>> 
> If you also have GNOME installed then it will work. GNOME provides them via propagated inputs in many packages.
> For me, the theme changes, but then the settings window crashes.

OK.  So actually what happens is that changing themes works, but the
thing crashes right after changing themes (which I didn’t notice when
spawning xfce4-appearance-settings by clicking in the menu).

Applied, thanks!

> BTW do you think the way the gnome package is made with propagated inputs is better than how the xfce is made by union-ing everything?

No strong opinion, either way is fine with me.

Ludo’.